Name:		qsampler
Summary:	LinuxSampler GUI front-end application
Version:	0.4.0
Release:	%mkrel 1
License:	GPLv2
Group:		Sound/Midi
URL:		http://%{name}.sourceforge.net/
Source0:	%{name}-%{version}.tar.gz
# Tarball created from git using ./mk-tar-git-rev in SOURCES
Source1:	mk-tar-git-rev
BuildRequires:	pkgconfig(lscp)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(gig) >= 4.0.0
BuildRequires:	qttools5

Requires:	linuxsampler >= 2.0.0

%description
QSampler is a LinuxSampler GUI front-end application written in 
C++ around the Qt4 toolkit using Qt Designer. At the moment it 
just wraps as a client reference interface for the LinuxSampler 
Control Protocol (LSCP).

%prep
%setup -q

%build
export NOCONFIGURE=1
./autogen.sh

%configure2_5x --enable-debug

%make

%install
%make_install

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/mimetypes/application-x-%{name}-session.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-%{name}-session.svg
%{_datadir}/%{name}/translations/*.qm
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man1/*


%changelog
* Wed Apr 06 2016 barjac <barjac> 0.4.0-1.mga6
+ Revision: 998823
- new version 0.4.0
- updated tarball script to handle full versions

* Tue Apr 05 2016 barjac <barjac> 0.3.1.20-1.mga6
+ Revision: 998494
- new version 0.3.1.20

* Sat Jan 16 2016 barjac <barjac> 0.3.1.18-1.mga6
+ Revision: 924645
- new mini version 0.3.1.18
- fix typo in mk-git-tar-rev script

* Sat Oct 24 2015 barjac <barjac> 0.3.1.13-1.mga6
+ Revision: 894929
- new version 0.3.1.13
- switched to git from svn for tarball
- added extra minor to version from git describe to make versioning simpler when using snapshots

* Thu Aug 27 2015 cjw <cjw> 0.2.2-0.2671.4.mga6
+ Revision: 870163
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-0.2671.3.mga5
+ Revision: 741011
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-0.2671.2.mga5
+ Revision: 688513
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 barjac <barjac> 0.2.2-0.2671.1.mga5
+ Revision: 670989
- new snapshot 2671
- fix files list

* Tue May 13 2014 barjac <barjac> 0.2.2-0.2546.3.mga5
+ Revision: 622399
- new snapshot 2546
- fix files list

* Sat Oct 19 2013 umeabot <umeabot> 0.2.2-0.2459.2.mga4
+ Revision: 531790
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 barjac <barjac> 0.2.2-0.2459.1.mga4
+ Revision: 465353
- new snapshot 2459
- use makeinstall_std
- fix files

* Sun Jan 13 2013 umeabot <umeabot> 0.2.2-0.2379.2.mga3
+ Revision: 379911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 0.2.2-0.2379.1.mga3
+ Revision: 349433
- correct release format

* Wed Nov 14 2012 barjac <barjac> 0.2.2-0.2379.mga3
+ Revision: 317573
- imported package qsampler

